Package com.independentsoft.office.spreadsheet.tables

# Class TableColumn

java.lang.Object
com.independentsoft.office.spreadsheet.tables.TableColumn

public class TableColumn extends Object
The Class TableColumn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableColumn()`
  Instantiates a new table column.
  `TableColumn​(long id, String name)`
  Instantiates a new table column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableColumn`
  `clone()`
  `CalculatedColumnFormula`
  `getCalculatedColumnFormula()`
  Gets the calculated column formula.
  `String`
  `getDataCellStyle()`
  Gets the data cell style.
  `long`
  `getHeaderRowCellFormatID()`
  Gets the header row cell format id.
  `String`
  `getHeaderRowCellStyle()`
  Gets the header row cell style.
  `long`
  `getID()`
  Gets the id.
  `long`
  `getInsertRowFormatID()`
  Gets the insert row format id.
  `String`
  `getName()`
  Gets the name.
  `long`
  `getQueryTableFieldID()`
  Gets the query table field id.
  `String`
  `getTotalsRowCellStyle()`
  Gets the totals row cell style.
  `long`
  `getTotalsRowFormatID()`
  Gets the totals row format id.
  `TotalsRowFormula`
  `getTotalsRowFormula()`
  Gets the totals row formula.
  `TotalsRowFunction`
  `getTotalsRowFunction()`
  Gets the totals row function.
  `String`
  `getTotalsRowLabel()`
  Gets the totals row label.
  `String`
  `getUniqueName()`
  Gets the unique name.
  `XmlColumnProperties`
  `getXmlColumnProperties()`
  Gets the xml column properties.
  `void`
  `setCalculatedColumnFormula​(CalculatedColumnFormula calculatedColumnFormula)`
  Sets the calculated column formula.
  `void`
  `setDataCellStyle​(String dataCellStyle)`
  Sets the data cell style.
  `void`
  `setHeaderRowCellFormatID​(long headerRowCellFormatID)`
  Sets the header row cell format id.
  `void`
  `setHeaderRowCellStyle​(String headerRowCellStyle)`
  Sets the header row cell style.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setInsertRowFormatID​(long insertRowFormatID)`
  Sets the insert row format id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setQueryTableFieldID​(long queryTableFieldID)`
  Sets the query table field id.
  `void`
  `setTotalsRowCellStyle​(String totalsRowCellStyle)`
  Sets the totals row cell style.
  `void`
  `setTotalsRowFormatID​(long totalsRowFormatID)`
  Sets the totals row format id.
  `void`
  `setTotalsRowFormula​(TotalsRowFormula totalsRowFormula)`
  Sets the totals row formula.
  `void`
  `setTotalsRowFunction​(TotalsRowFunction totalsRowFunction)`
  Sets the totals row function.
  `void`
  `setTotalsRowLabel​(String totalsRowLabel)`
  Sets the totals row label.
  `void`
  `setUniqueName​(String uniqueName)`
  Sets the unique name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableColumn

    public TableColumn()
    Instantiates a new table column.

  - ### TableColumn

    public TableColumn​(long id, String name)
    Instantiates a new table column.
    Parameters:
      `id` - the id
      `name` - the name

- ## Method Details

  - ### clone

    public TableColumn clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDataCellStyle

    public String getDataCellStyle()
    Gets the data cell style.
    Returns:
      the data cell style

  - ### setDataCellStyle

    public void setDataCellStyle​(String dataCellStyle)
    Sets the data cell style.
    Parameters:
      `dataCellStyle` - the new data cell style

  - ### getInsertRowFormatID

    public long getInsertRowFormatID()
    Gets the insert row format id.
    Returns:
      the insert row format id

  - ### setInsertRowFormatID

    public void setInsertRowFormatID​(long insertRowFormatID)
    Sets the insert row format id.
    Parameters:
      `insertRowFormatID` - the new insert row format id

  - ### getHeaderRowCellStyle

    public String getHeaderRowCellStyle()
    Gets the header row cell style.
    Returns:
      the header row cell style

  - ### setHeaderRowCellStyle

    public void setHeaderRowCellStyle​(String headerRowCellStyle)
    Sets the header row cell style.
    Parameters:
      `headerRowCellStyle` - the new header row cell style

  - ### getHeaderRowCellFormatID

    public long getHeaderRowCellFormatID()
    Gets the header row cell format id.
    Returns:
      the header row cell format id

  - ### setHeaderRowCellFormatID

    public void setHeaderRowCellFormatID​(long headerRowCellFormatID)
    Sets the header row cell format id.
    Parameters:
      `headerRowCellFormatID` - the new header row cell format id

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getQueryTableFieldID

    public long getQueryTableFieldID()
    Gets the query table field id.
    Returns:
      the query table field id

  - ### setQueryTableFieldID

    public void setQueryTableFieldID​(long queryTableFieldID)
    Sets the query table field id.
    Parameters:
      `queryTableFieldID` - the new query table field id

  - ### getTotalsRowCellStyle

    public String getTotalsRowCellStyle()
    Gets the totals row cell style.
    Returns:
      the totals row cell style

  - ### setTotalsRowCellStyle

    public void setTotalsRowCellStyle​(String totalsRowCellStyle)
    Sets the totals row cell style.
    Parameters:
      `totalsRowCellStyle` - the new totals row cell style

  - ### getTotalsRowFormatID

    public long getTotalsRowFormatID()
    Gets the totals row format id.
    Returns:
      the totals row format id

  - ### setTotalsRowFormatID

    public void setTotalsRowFormatID​(long totalsRowFormatID)
    Sets the totals row format id.
    Parameters:
      `totalsRowFormatID` - the new totals row format id

  - ### getTotalsRowFunction

    public TotalsRowFunction getTotalsRowFunction()
    Gets the totals row function.
    Returns:
      the totals row function

  - ### setTotalsRowFunction

    public void setTotalsRowFunction​(TotalsRowFunction totalsRowFunction)
    Sets the totals row function.
    Parameters:
      `totalsRowFunction` - the new totals row function

  - ### getTotalsRowLabel

    public String getTotalsRowLabel()
    Gets the totals row label.
    Returns:
      the totals row label

  - ### setTotalsRowLabel

    public void setTotalsRowLabel​(String totalsRowLabel)
    Sets the totals row label.
    Parameters:
      `totalsRowLabel` - the new totals row label

  - ### getUniqueName

    public String getUniqueName()
    Gets the unique name.
    Returns:
      the unique name

  - ### setUniqueName

    public void setUniqueName​(String uniqueName)
    Sets the unique name.
    Parameters:
      `uniqueName` - the new unique name

  - ### getCalculatedColumnFormula

    public CalculatedColumnFormula getCalculatedColumnFormula()
    Gets the calculated column formula.
    Returns:
      the calculated column formula

  - ### setCalculatedColumnFormula

    public void setCalculatedColumnFormula​(CalculatedColumnFormula calculatedColumnFormula)
    Sets the calculated column formula.
    Parameters:
      `calculatedColumnFormula` - the new calculated column formula

  - ### getTotalsRowFormula

    public TotalsRowFormula getTotalsRowFormula()
    Gets the totals row formula.
    Returns:
      the totals row formula

  - ### setTotalsRowFormula

    public void setTotalsRowFormula​(TotalsRowFormula totalsRowFormula)
    Sets the totals row formula.
    Parameters:
      `totalsRowFormula` - the new totals row formula

  - ### getXmlColumnProperties

    public XmlColumnProperties getXmlColumnProperties()
    Gets the xml column properties.
    Returns:
      the xml column properties